summaryrefslogtreecommitdiffstats
path: root/scripts/gensync
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/gensync')
-rwxr-xr-xscripts/gensync8
1 files changed, 4 insertions, 4 deletions
diff --git a/scripts/gensync b/scripts/gensync
index a1e85f90..bdadc30b 100755
--- a/scripts/gensync
+++ b/scripts/gensync
@@ -20,7 +20,7 @@
# USA.
#
-myver='2.8.3'
+myver='2.8.4'
usage() {
echo "gensync $myver"
@@ -30,8 +30,8 @@ usage() {
echo "from <root>. gensync builds the database in a temporary directory"
echo "and then compresses it to <destfile>."
echo
- echo "gensync will calculate md5sums of packages in <destdir>, unless an"
- echo "alternate [package_directory] is specified."
+ echo "gensync will calculate md5sums of packages in the same directory as"
+ echo "<destfile>, unless an alternate [package_directory] is specified."
echo
echo "note: The <destfile> name is important. It must be of the form"
echo " {treename}.db.tar.gz where {treename} is the name of the custom"
@@ -67,7 +67,7 @@ db_write_entry()
unset groups replaces provides depends conflicts
source $1 || return 1
cd $gstmpdir
- mkdir $pkgname-$pkgver-$pkgrel
+ mkdir $pkgname-$pkgver-$pkgrel || return 1
cd $pkgname-$pkgver-$pkgrel
# desc
: >desc